=== debian/changelog ===
gnuradio (3.10.9.2-1.1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:16:45 +0000

gnuradio (3.10.9.2-1.1ubuntu1) noble; urgency=medium

  * Drop build dependency on shared library libqt5core5a.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Mar 2024 20:30:13 +0100

gnuradio (3.10.9.2-1.1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:29:53 +0000

gnuradio (3.10.9.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062476

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 19:52:04 +0000

gnuradio (3.10.9.2-1) unstable; urgency=medium

  * New upstream release
    Fix a few memory errors in various modules.
    GRC - Fix regressions in bus connections.

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 17 Jan 2024 15:51:20 -0500
